jif.types

## Interface JifMethodInstance

- All Superinterfaces:
    java.lang.Cloneable, polyglot.types.CodeInstance, polyglot.util.Copy<polyglot.types.TypeObject>, polyglot.types.Declaration, polyglot.types.FunctionInstance, JifProcedureInstance, polyglot.types.MemberInstance, polyglot.types.MethodInstance, polyglot.types.ProcedureInstance, java.io.Serializable, polyglot.types.TypeObject
  All Known Implementing Classes:
    JifMethodInstance_c

      public interface JifMethodInstance
      extends polyglot.types.MethodInstance, JifProcedureInstance

  Jif method instance. A wrapper of all the type information related to a method.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Label` | `returnValueLabel()`

    - ### Methods inherited from interface polyglot.types.MethodInstance

      `canOverride, canOverrideImpl, checkOverride, container, flags, formalTypes, implemented, implementedImpl, isSameMethod, isSameMethodImpl, methodCallValid, methodCallValidImpl, name, name, orig, overrides, overridesImpl, returnType, setName, throwTypes`

    - ### Methods inherited from interface polyglot.types.FunctionInstance

      `returnType, setReturnType`

    - ### Methods inherited from interface polyglot.types.ProcedureInstance

      `callValid, callValidImpl, designator, formalTypes, hasFormals, hasFormalsImpl, moreSpecific, moreSpecificImpl, setFormalTypes, setThrowTypes, signature, throwsSubset, throwsSubsetImpl, throwTypes`

    - ### Methods inherited from interface polyglot.types.CodeInstance

      `flags`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, isCanonical, position, typeSystem`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.types.MemberInstance

      `container, flags, setContainer, setFlags`

    - ### Methods inherited from interface polyglot.types.Declaration

      `declaration, setDeclaration`

    - ### Methods inherited from interface jif.types.JifProcedureInstance

      `constraints, container, debugString, isDefaultPCBound, isDefaultReturnLabel, pcBound, provider, returnLabel, setConstraints, setPCBound, setReturnLabel, subst, subst`

- - ### Method Detail

    - #### returnValueLabel

          Label returnValueLabel()